AlternativeAlignment (BioJava-1.5-beta API)
Keywords: org.biojava.bio.structure.align.pairwise.AlternativeAlignment class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure.align.pairwise
Class AlternativeAlignment

    java.lang.Object
      org.biojava.bio.structure.align.pairwise.AlternativeAlignment

    public class AlternativeAlignment

extends Object

Implements a class which handles one possible (alternative) solution. Alternative alignments arise from different seed alignments or seed FPairs. The AltAlg class contains methods for refinement (Dynamic Programming based) and filtering (i.e. removing probably wrongly matched APairs). In the refinement phase, different seed alignments can converge to the same solution.

Since:
  3:04:26 PM
Version:
  %I% %G%
Author:
  Andreas Prlic,, Peter Lackner (original Python and C code)

Field Summary
`static Logger` | `logger`

Constructor Summary
`AlternativeAlignment()`

Method Summary
`void` | `apairs_from_idxlst(JointFragments jf)` Set apairs according to a list of (i,j) tuples.
`void` | `apairs_from_seed(int l, int i, int j)` Set apairs according to a seed position.
`void` | `calculateSuperpositionByIdx(Atom[] ca1, Atom[] ca2)`
`void` | `finish(StrucAligParameters params, Atom[] ca1, Atom[] ca2)`
`int` | `getAltAligNumber()` returns the sequential number of this alternative alignment
`int` | `getEqr()` returns the number of euqivalent residues in this alignment
`int` | `getGaps()` return the number of gaps in this alignment
`int[]` | `getIdx1()`
`int[]` | `getIdx2()`
`String[]` | `getPDBresnum1()`
`String[]` | `getPDBresnum2()`
`double` | `getRms()`
`Matrix` | `getRotationMatrix()` returns the rotation matrix that needs to be applied to structure 2 to rotate on structure 1
`float` | `getScore()` the alignment score
`Atom` | `getShift()` returns the shift vector that has to be applied on structure to to shift on structure one
`void` | `refine(StrucAligParameters params, Atom[] ca1, Atom[] ca2)` Refinement procedure based on superposition and dynamic programming.
`void` | `setAltAligNumber(int fromia)`
`void` | `setPDBresnum1(String[] pdbresnum1)`
`void` | `setPDBresnum2(String[] pdbresnum2)`
`void` | `setRms(double rms)` the rms in the structurally equivalent regions
`void` | `setScore(float score)`
`String` | `toPDB(Structure s1, Structure s2)` converts th alignment to a PDB file each of the structures will be represented as a model.
`String` | `toString()` print the idx positions of this alignment

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### logger

    public static Logger logger

Constructor Detail

### AlternativeAlignment

    public AlternativeAlignment()

Method Detail

### toString

    public String toString()

  print the idx positions of this alignment

  Overrides:
    `toString` in class `Object`
  Returns:
    a String representation

### getGaps

    public int getGaps()

  return the number of gaps in this alignment

  Returns:
    the number of Gaps

### getEqr

    public int getEqr()

  returns the number of euqivalent residues in this alignment

  Returns:
    the number of equivalent residues

### getIdx1

    public int[] getIdx1()

### getIdx2

    public int[] getIdx2()

### apairs_from_seed

    public void apairs_from_seed(int l,
                                 int i,
                                 int j)

  Set apairs according to a seed position.

  Parameters:
    `l` -
    `i` -
    `j` -

### apairs_from_idxlst

    public void apairs_from_idxlst(JointFragments jf)

  Set apairs according to a list of (i,j) tuples.

  Parameters:
    `jf` - a JoingFragment

### getAltAligNumber

    public int getAltAligNumber()

  returns the sequential number of this alternative alignment

  Returns:
    the sequential number of this alternative alignment

### setAltAligNumber

    public void setAltAligNumber(int fromia)

### finish

    public void finish(StrucAligParameters params,
                       Atom[] ca1,
                       Atom[] ca2)
                throws StructureException

  Throws:
    `StructureException`

### refine

    public void refine(StrucAligParameters params,
                       Atom[] ca1,
                       Atom[] ca2)
                throws StructureException

  Refinement procedure based on superposition and dynamic programming. Performs an iterative refinement. Several methods apply such a procedure, e.g. CE or ProSup. Here we additionally test for circular permutation, which are in the same frame of superposition as the optimal alignment. This feature may be switched off by setting permsize to -1.

  Parameters:
    `params` - the parameters
    `ca1` - atoms of structure 1
    `ca2` - atoms of structure 2
  Throws:
    `StructureException`

### getPDBresnum1

    public String[] getPDBresnum1()

### setPDBresnum1

    public void setPDBresnum1(String[] pdbresnum1)

### getPDBresnum2

    public String[] getPDBresnum2()

### setPDBresnum2

    public void setPDBresnum2(String[] pdbresnum2)

### calculateSuperpositionByIdx

    public void calculateSuperpositionByIdx(Atom[] ca1,
                                            Atom[] ca2)
                                     throws StructureException

  Throws:
    `StructureException`

### getRotationMatrix

    public Matrix getRotationMatrix()

  returns the rotation matrix that needs to be applied to structure 2 to rotate on structure 1

  Returns:
    the rotation Matrix

### getShift

    public Atom getShift()

  returns the shift vector that has to be applied on structure to to shift on structure one

  Returns:
    the shift vector

### getRms

    public double getRms()

### setRms

    public void setRms(double rms)

  the rms in the structurally equivalent regions

  Parameters:
    `rms` -

### getScore

    public float getScore()

  the alignment score

  Returns:
    the score of this alignment

### setScore

    public void setScore(float score)

### toPDB

    public String toPDB(Structure s1,
                        Structure s2)

  converts th alignment to a PDB file each of the structures will be represented as a model.

  Parameters:
    `s1` -
    `s2` -
  Returns:
    a PDB file as a String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD